
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index &ndash; J</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/uu.html#index-0">Jansen, Jack</a>
  </dt>

      
  <dt>
    Java
  </dt>

      <dd><dl>
        
  <dt><a href="reference/datamodel.html#index-13">language</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/platform.html#platform.java_ver">java_ver() (in module platform)</a>
  </dt>

      
  <dt><a href="library/asyncio-queue.html#asyncio.Queue.join">join() (asyncio.Queue method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#bytearray.join">(bytearray method)</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#bytes.join">(bytes method)</a>
  </dt>

        
  <dt><a href="library/os.path.html#os.path.join">(in module os.path)</a>
  </dt>

        
  <dt><a href="library/multiprocessing.html#multiprocessing.JoinableQueue.join">(multiprocessing.JoinableQueue method)</a>
  </dt>

        
  <dt><a href="library/multiprocessing.html#multiprocessing.Process.join">(multiprocessing.Process method)</a>
  </dt>

        
  <dt><a href="library/multiprocessing.html#multiprocessing.pool.Pool.join">(multiprocessing.pool.Pool method)</a>
  </dt>

        
  <dt><a href="library/queue.html#queue.Queue.join">(queue.Queue method)</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#str.join">(str method)</a>
  </dt>

        
  <dt><a href="library/threading.html#threading.Thread.join">(threading.Thread method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/multiprocessing.html#multiprocessing.Queue.join_thread">join_thread() (multiprocessing.Queue method)</a>
  </dt>

      
  <dt><a href="library/multiprocessing.html#multiprocessing.JoinableQueue">JoinableQueue (class in multiprocessing)</a>
  </dt>

      
  <dt><a href="library/pathlib.html#pathlib.PurePath.joinpath">joinpath() (pathlib.PurePath method)</a>
  </dt>

      
  <dt><a href="library/http.cookies.html#http.cookies.BaseCookie.js_output">js_output() (http.cookies.BaseCookie method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/http.cookies.html#http.cookies.Morsel.js_output">(http.cookies.Morsel method)</a>
  </dt>

      </dl></dd>
      
  <dt>
    json
  </dt>

      <dd><dl>
        
  <dt><a href="tutorial/inputoutput.html#index-1">module</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/json.html#module-json">json (module)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/json.html#module-json.tool">json.tool (module)</a>
  </dt>

      
  <dt><a href="library/json.html#json.JSONDecodeError">JSONDecodeError</a>
  </dt>

      
  <dt><a href="library/json.html#json.JSONDecoder">JSONDecoder (class in json)</a>
  </dt>

      
  <dt><a href="library/json.html#json.JSONEncoder">JSONEncoder (class in json)</a>
  </dt>

      
  <dt><a href="library/pdb.html#pdbcommand-jump">jump (pdb command)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-JUMP_ABSOLUTE">JUMP_ABSOLUTE (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-JUMP_FORWARD">JUMP_FORWARD (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-JUMP_IF_FALSE_OR_POP">JUMP_IF_FALSE_OR_POP (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-JUMP_IF_TRUE_OR_POP">JUMP_IF_TRUE_OR_POP (opcode)</a>
  </dt>

  </dl></td>
</tr></table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
   <h4>Index</h4>
   <p><a href="genindex-Symbols.html"><strong>Symbols</strong></a>
     | <a href="genindex-_.html"><strong>_</strong></a>
     | <a href="genindex-A.html"><strong>A</strong></a>
     | <a href="genindex-B.html"><strong>B</strong></a>
     | <a href="genindex-C.html"><strong>C</strong></a>
     | <a href="genindex-D.html"><strong>D</strong></a>
     | <a href="genindex-E.html"><strong>E</strong></a>
     | <a href="genindex-F.html"><strong>F</strong></a>
     | <a href="genindex-G.html"><strong>G</strong></a>
     | <a href="genindex-H.html"><strong>H</strong></a>
     | <a href="genindex-I.html"><strong>I</strong></a>
     | <a href="#"><strong>J</strong></a>
     | <a href="genindex-K.html"><strong>K</strong></a>
     | <a href="genindex-L.html"><strong>L</strong></a>
     | <a href="genindex-M.html"><strong>M</strong></a>
     | <a href="genindex-N.html"><strong>N</strong></a>
     | <a href="genindex-O.html"><strong>O</strong></a>
     | <a href="genindex-P.html"><strong>P</strong></a>
     | <a href="genindex-Q.html"><strong>Q</strong></a>
     | <a href="genindex-R.html"><strong>R</strong></a>
     | <a href="genindex-S.html"><strong>S</strong></a>
     | <a href="genindex-T.html"><strong>T</strong></a>
     | <a href="genindex-U.html"><strong>U</strong></a>
     | <a href="genindex-V.html"><strong>V</strong></a>
     | <a href="genindex-W.html"><strong>W</strong></a>
     | <a href="genindex-X.html"><strong>X</strong></a>
     | <a href="genindex-Y.html"><strong>Y</strong></a>
     | <a href="genindex-Z.html"><strong>Z</strong></a>
     </p>

   <p><a href="genindex-all.html"><strong>Full index on one page</strong></a></p>
   


<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 19, 2016.
    <a href="bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>